aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorgerald <gerald@f5534014-38df-0310-8fa8-9805f1628bb7>2011-06-23 19:22:21 +0000
committergerald <gerald@f5534014-38df-0310-8fa8-9805f1628bb7>2011-06-23 19:22:21 +0000
commitd7636fed75187cfadd77fd792afeec4588341aa4 (patch)
tree48fda3bd865c01b77a11d2a2bcea2bfa9ec687c4 /test
parentd021290b0aaf3486e7305979011c65d7d8466bf9 (diff)
Add a check for TShark's return status.
git-svn-id: http://anonsvn.wireshark.org/wireshark/trunk@37774 f5534014-38df-0310-8fa8-9805f1628bb7
Diffstat (limited to 'test')
-rwxr-xr-xtest/suite-capture.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/suite-capture.sh b/test/suite-capture.sh
index 854979d8ce..ab8782a9ec 100755
--- a/test/suite-capture.sh
+++ b/test/suite-capture.sh
@@ -364,6 +364,12 @@ capture_step_snapshot() {
# use tshark to filter out all packets, which are larger than 68 bytes
$TSHARK -r ./testout.pcap -w ./testout2.pcap -R 'frame.cap_len>68' > ./testout.txt 2>&1
+ if [ $? -ne 0 ]; then
+ echo
+ cat ./testout.txt
+ test_step_failed "Problem running TShark!"
+ return
+ fi
# ok, we got a capture file, does it contain exactly 0 packets?
$CAPINFOS ./testout2.pcap > ./testout.txt